Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Jira Service Management ops / Reference / REST API

Stakeholder User management

Postman Collection
OpenAPI
GET

List stakeholdersExperimental

Get a list of stakeholders.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

status

string

type

string

searchField

string

searchValue

string

orderBy

string

descending

boolean

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderConnectionResponse

Response containing a list of stakeholders.

GET/stakeholders/list
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/list' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 { "connection": { "nodes": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": {}, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ {} ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 49 }, "error": "<string>" }
POST

Create stakeholderExperimental

Create a new stakeholder in Status page.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

stakeholder

object

Required
joiningGroupId

string

Responses

Returned if the stakeholder is successfully created.

application/json

StakeholderCommsStakeholderResponse

Response containing a single stakeholder.

POST/stakeholders
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholder": { "aaid": "<string>", "stakeholderType": "EXTERNAL", "skipConfirmation": true, "assignmentType": "INCIDENT", "externalAssignmentId": "<string>", "addedFrom": "STATUSPAGE", "emailId": "<string>", "atlassianTeamId": "<string>", "stakeholderGroupId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } }, "joiningGroupId": "<string>" }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 { "stakeholder": { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] }, "error": "<string>" }
PUT

Update stakeholderExperimental

Update a stakeholder in stakeholder communications.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

updateStakeholderInput

object

Required

Responses

Returned if the stakeholder is successfully updated.

application/json

StakeholderCommsStakeholderResponse

Response containing a single stakeholder.

PUT/stakeholders/update
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 curl --request PUT \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/update' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "updateStakeholderInput": { "stakeholderIdInput": { "stakeholderId": "<string>", "ari": "<string>", "aaid": "<string>", "emailId": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "stakeholderType": "EXTERNAL" }, "status": "ACTIVE", "notificationPreference": { "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } } } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 { "stakeholder": { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] }, "error": "<string>" }
POST

Delete stakeholderExperimental

Delete a stakeholder from stakeholder communications.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

stakeholderId

string

Required

Responses

Returned if the stakeholder is successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholders/{stakeholderId}/delete
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/{stakeholderId}/delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Bulk create stakeholdersExperimental

Create multiple stakeholders in Stakeholder Comms.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

stakeholders

array<undefined>

joiningGroupId

string

Responses

Returned if the bulk operation is successfully processed.

application/json

StakeholderCommsBulkStakeholderCreateResult

Result of a bulk stakeholder create operation.

POST/stakeholders/bulk
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/bulk' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholders": [ { "aaid": "<string>", "stakeholderType": "EXTERNAL", "skipConfirmation": true, "assignmentType": "INCIDENT", "externalAssignmentId": "<string>", "addedFrom": "STATUSPAGE", "emailId": "<string>", "atlassianTeamId": "<string>", "stakeholderGroupId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } } ], "joiningGroupId": "<string>" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 { "success": true, "message": "<string>", "totalCount": 2154, "successCount": 2154, "failureCount": 2154, "successfulStakeholders": [ { "stakeholder": { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] }, "assignment": { "id": "<string>", "ari": "<string>", "assignmentType": "INCIDENT", "addedFrom": "STATUSPAGE", "externalAssignmentId": "<string>", "insertedAt": "<string>", "updatedAt": "<string>" }, "message": "<string>", "error": "<string>" } ], "errors": [ { "index": 2154, "error": "<string>" } ] }
POST

Bulk delete stakeholdersExperimental

Delete multiple stakeholders from the list.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

stakeholderIds

array<string>

Responses

Returned if the bulk delete operation is successfully processed.

application/json

StakeholderCommsBulkStakeholderDeleteResult

Result of a bulk stakeholder delete operation.

POST/stakeholders/bulk_delete
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/bulk_delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholderIds": [ "<string>" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "success": true, "message": "<string>", "totalCount": 2154, "successCount": 2154, "failureCount": 2154, "successfulIds": [ "<string>" ], "errors": [ { "stakeholderId": "<string>", "error": "<string>" } ] }
POST

Resend stakeholder inviteExperimental

Resend an invitation to a stakeholder for stakeholder communication.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

resendInviteInput

object

Required

Responses

Returned if the invitation is successfully resent.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholders/resend_invite
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/resend_invite' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "resendInviteInput": { "emailId": "<string>", "aaid": "<string>" } }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
GET

Get stakeholder by various identifiersExperimental

Get a stakeholder by various identifiers such as stakeholder ID, email, or account ID.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

stakeholderId

string

ari

string

aaid

string

emailId

string

stakeholderGroupId

string

atlassianTeamId

string

stakeholderType

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderResponse

Response containing a single stakeholder.

GET/stakeholders/get
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/get' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 { "stakeholder": { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] }, "error": "<string>" }
GET

Get stakeholders by ARI listExperimental

Get stakeholders by a list of Atlassian Resource Identifiers (ARIs).

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

stakeholderAris

array<string>

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderListResponse

Response containing a list of stakeholders identified by Atlassian Resource Identifiers (ARIs).

GET/stakeholders/by_ari
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/by_ari?stakeholderAris={stakeholderAris}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 { "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "error": "<string>" }
GET

Get stakeholders by assignment (deprecated)ExperimentalDeprecated

Get stakeholders by assignment. Deprecated, use /stakeholders/by_assignment/v2 instead.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

assignmentId

string

ari

string

assignmentType

string

externalAssignmentId

string

limit

integer

cursor

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderListResponse

Response containing a list of stakeholders identified by Atlassian Resource Identifiers (ARIs).

GET/stakeholders/by_assignment
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/by_assignment' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 { "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "error": "<string>" }
GET

Get stakeholders by assignment with paginationExperimental

Get a paginated list of stakholders by assignment.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

assignmentId

string

ari

string

assignmentType

string

externalAssignmentId

string

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderPaginatedResponse

Response containing paginated list of stakeholders.

GET/stakeholders/by_assignment/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/by_assignment/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 { "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 29, "error": "<string>" }
GET

Get flattened stakeholders listExperimental

Get a detailed list of stakeholders including those from groups

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

groupIds

array<string>

teamIds

array<string>

externalUserContextToken

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderPaginatedResponse

Response containing paginated list of stakeholders.

GET/stakeholders/flattened_list
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/flattened_list' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 { "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 29, "error": "<string>" }
GET

Get stakeholders from similar incidentsExperimental

Get stakeholders from incidents similar to the specified incident.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

incidentKey

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderListResponse

Response containing a list of stakeholders identified by Atlassian Resource Identifiers (ARIs).

GET/stakeholders/from_similar_incidents/{incidentKey}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/from_similar_incidents/{incidentKey}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 { "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "error": "<string>" }
POST

Remove stakeholder assignmentExperimental

Remove a stakeholder assignment in Stakeholder Comms.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

stakeholderIdInput

object

Required
assignmentIdInput

object

Required

Responses

Returned if the assignment is successfully removed.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholders/assignments/remove
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholders/assignments/remove' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholderIdInput": { "stakeholderId": "<string>", "ari": "<string>", "aaid": "<string>", "emailId": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "stakeholderType": "EXTERNAL" }, "assignmentIdInput": { "assignmentId": "<string>", "ari": "<string>", "assignmentType": "INCIDENT", "externalAssignmentId": "<string>" } }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Create stakeholder groupExperimental

Create a new stakeholder group in Stakeholder communications.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

stakeholderGroupInput

object

Required
stakeholders

array<StakeholderCommsCreateStakeholderInput>

Responses

Returned if the stakeholder group is successfully created.

application/json

StakeholderCommsGroupCreateResponse

Response containing a newly created stakeholder group with its initial members.

POST/stakeholder_groups
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholderGroupInput": { "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "stakeholders": [ { "stakeholder": { "aaid": "<string>", "stakeholderType": "EXTERNAL", "skipConfirmation": true, "assignmentType": "INCIDENT", "externalAssignmentId": "<string>", "addedFrom": "STATUSPAGE", "emailId": "<string>", "atlassianTeamId": "<string>", "stakeholderGroupId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } }, "joiningGroupId": "<string>" } ] }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 { "group": { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ], "ownerName": "<string>", "ownerAvatar": "<string>", "error": "<string>" }
GET

Get stakeholder group by IDExperimental

Get a stakeholder group by its ID for stakeholder communications.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupResponse

Response containing a single stakeholder group (GET/UPDATE).

GET/stakeholder_groups/{groupId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "group": { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "error": "<string>" }
PUT

Update stakeholder groupExperimental

Update a stakeholder group for stakeholder communications.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Request bodyapplication/json

name

string

description

string

ownerId

string

logoUrl

string

status

string

insertedAt

string

updatedAt

string

services

array<string>

stakeholders

array<StakeholderCommsCreateStakeholderInput>

Responses

Returned if the stakeholder group is successfully updated.

application/json

StakeholderCommsStakeholderGroupResponse

Response containing a single stakeholder group (GET/UPDATE).

PUT/stakeholder_groups/{groupId}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 curl --request PUT \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ], "stakeholders": [ { "stakeholder": { "aaid": "<string>", "stakeholderType": "EXTERNAL", "skipConfirmation": true, "assignmentType": "INCIDENT", "externalAssignmentId": "<string>", "addedFrom": "STATUSPAGE", "emailId": "<string>", "atlassianTeamId": "<string>", "stakeholderGroupId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } }, "joiningGroupId": "<string>" } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "group": { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "error": "<string>" }
POST

Delete stakeholder groupExperimental

Delete a stakeholder group from stakeholder communications.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Responses

Returned if the stakeholder group is successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholder_groups/{groupId}/delete
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}/delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
POST

Add members to stakeholder groupExperimental

Add members to a stakeholder group in Stakeholder communications.

write:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Request bodyapplication/json

stakeholders

array<StakeholderCommsCreateStakeholderInput>

Responses

Returned if the members are successfully added to the stakeholder group.

application/json

StakeholderCommsGroupMemberConnectionResponse

Response containing a list of stakeholder group members.

POST/stakeholder_groups/{groupId}/members
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}/members' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholders": [ { "stakeholder": { "aaid": "<string>", "stakeholderType": "EXTERNAL", "skipConfirmation": true, "assignmentType": "INCIDENT", "externalAssignmentId": "<string>", "addedFrom": "STATUSPAGE", "emailId": "<string>", "atlassianTeamId": "<string>", "stakeholderGroupId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": { "email": { "enabled": true }, "sms": { "enabled": true }, "webhook": { "enabled": true } } }, "joiningGroupId": "<string>" } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 { "connection": { "nodes": [ { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 55 }, "error": "<string>" }
POST

Remove members from stakeholder groupExperimental

Remove members from a stakeholder group for stakeholder communications.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Request bodyapplication/json

stakeholderIds

array<string>

Responses

Returned if the members are successfully removed from the stakeholder group.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholder_groups/{groupId}/members/remove
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}/members/remove' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "stakeholderIds": [ "<string>" ] }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
GET

Get stakeholder groups by membershipExperimental

Get stakeholder groups that a stakeholder belongs to.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupConnection

Connection-style response for listing stakeholder groups.

GET/stakeholder_groups/by_membership/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/by_membership/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "nodes": [ { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 55 }
GET

Get stakeholder group with membershipsExperimental

Get a stakeholder group with its members.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupsAndMemberships

Response containing a stakeholder group with its members.

GET/stakeholder_groups/{id}/with_memberships
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{id}/with_memberships' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "group": { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "memberships": [ { "memberId": "<string>", "memberType": "<string>" } ], "error": "<string>" }
GET

Get stakeholder groups with membershipsExperimental

Get a paginated list of stakeholder groups with their members.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupConnection

Connection-style response for listing stakeholder groups.

GET/stakeholder_groups/with_memberships
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/with_memberships' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "nodes": [ { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 55 }
GET

Get stakeholder groups with stakeholdersExperimental

Get stakeholder groups with their stakeholder members.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Query parameters

first

integer

after

string

last

integer

before

string

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupAndStakeholdersConnection

Paginated response for stakeholder groups with stakeholders.

GET/stakeholder_groups/with_stakeholders
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/with_stakeholders' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 { "groups": [ { "group": { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] }, "stakeholders": [ { "id": "<string>", "ari": "<string>", "aaid": "<string>", "stakeholderGroupId": "<string>", "atlassianTeamId": "<string>", "type": "EXTERNAL", "skipConfirmation": true, "status": "ACTIVE", "notificationPreference": { "id": "<string>", "emailId": "<string>", "phoneNumber": "<string>", "phoneCountry": "<string>", "webhook": "<string>", "preference": {}, "insertedAt": "<string>", "updatedAt": "<string>" }, "insertedAt": "<string>", "updatedAt": "<string>", "name": "<string>", "avatar": "<string>", "groups": [ { "id": "<string>", "name": "<string>", "avatar": "<string>" } ] } ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 23, "error": "<string>" }
GET

Get stakeholder groups by nameExperimental

Get stakeholder groups by name.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

name

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupConnection

Connection-style response for listing stakeholder groups.

GET/stakeholder_groups/by_name/{name}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/by_name/{name}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "nodes": [ { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 55 }
GET

Get memberships by group IDExperimental

Get all members for a stakeholder group.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

groupId

string

Required

Query parameters

cursor

string

limit

integer

Responses

Returned if the request is successful.

application/json

StakeholderCommsStakeholderGroupConnection

Connection-style response for listing stakeholder groups.

GET/stakeholder_groups/{groupId}/memberships
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/{groupId}/memberships' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 { "nodes": [ { "id": "<string>", "name": "<string>", "description": "<string>", "ownerId": "<string>", "logoUrl": "<string>", "status": "ACTIVE", "insertedAt": "<string>", "updatedAt": "<string>", "services": [ "<string>" ] } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>" }, "totalCount": 55 }
GET

Check if stakeholder group name is uniqueExperimental

Check if a stakeholder group name is unique and available for use.

read:stakeholder-comms.stakeholder:jira-service-management

Request

Path parameters

name

string

Required

Responses

Returned if the request is successful.

application/json

StakeholderCommsValidationResponse

Response for validation operations.

GET/stakeholder_groups/validate/name/{name}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/validate/name/{name}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 { "valid": true, "message": "<string>", "error": "<string>" }
POST

Remove multiple stakeholder groupsExperimental

Delete multiple stakeholder groups from Stakeholder communications.

delete:stakeholder-comms.stakeholder:jira-service-management

Request

Request bodyapplication/json

groupIds

array<string>

Responses

Returned if the stakeholder groups are successfully deleted.

application/json

StakeholderCommsStakeholderGroupMutationResponse

Response indicating that the operation was successful.

POST/stakeholder_groups/bulk_delete
1 2 3 4 5 6 7 8 9 10 curl --request POST \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/stakeholder_groups/bulk_delete' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "groupIds": [ "<string>" ] }'
200Response
1 2 3 4 { "success": true, "message": "<string>" }
GET

Get assignments by stakeholder with paginationExperimental

Get assignments for a stakeholder with pagination support.

read:stakeholder-comms.assignment:jira-service-management

Request

Query parameters

stakeholderId

string

ari

string

aaid

string

emailId

string

stakeholderGroupId

string

atlassianTeamId

string

stakeholderType

string

first

integer

after

string

last

integer

Responses

Returned if the request is successful.

application/json

StakeholderCommsAssignmentPaginatedResponse

Paginated response for assignments.

GET/assignments/by_stakeholder/v2
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/ops/api/{cloudId}/assignments/by_stakeholder/v2' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 { "assignments": [ { "id": "<string>", "ari": "<string>", "assignmentType": "INCIDENT", "addedFrom": "STATUSPAGE", "externalAssignmentId": "<string>", "insertedAt": "<string>", "updatedAt": "<string>" } ], "pageInfo": { "hasNextPage": true, "endCursor": "<string>", "hasPreviousPage": true, "startCursor": "<string>" }, "totalCount": 28, "error": "<string>" }

Rate this page: